## qgnomeplatform 0.8.4

=== debian/changelog ===
qgnomeplatform (0.8.4-1) unstable; urgency=low

  * Initial release. (Closes: #1013369)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Thu, 29 Sep 2022 13:04:41 -0700
