=== debian/control ===
Source: qgnomeplatform
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 13),
               gsettings-desktop-schemas-dev,
               libadwaitaqt-dev (>= 1.4.1~),
               libglib2.0-dev,
               libgtk-3-dev,
               qtbase5-private-dev (>= 5.15.2~),
               qtwayland5-private-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://github.com/FedoraQt/QGnomePlatform
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qgnomeplatform.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qgnomeplatform
Rules-Requires-Root: no

Package: qgnomeplatform-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 extra widget styles - GNOME Platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the GNOME style and platform theme. Export
 QT_QPA_PLATFORMTHEME=gnome to enable it for all Qt applications.
