## qgnomeplatform 0.9.0

=== debian/changelog ===
qgnomeplatform (0.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Matthias Geiger ]
  * New upstream release
  * Fixed issues in d/copyright

  [ Aurélien COUDERC ]
  * Change maintainer to the Debian KDE Extras Team.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Dec 2022 22:46:05 +0100
