=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: qgnomeplatform
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Build-Depends: cmake (>= 3.0),
                debhelper-compat (= 13),
+               gsettings-desktop-schemas,
                gsettings-desktop-schemas-dev,
-               libadwaitaqt-dev (>= 1.4.1~),
+               libadwaitaqt-dev (>= 1.4.2~),
                libglib2.0-dev,
                libgtk-3-dev,
+               pkg-config,
                qtbase5-private-dev (>= 5.15.2~),
                qtwayland5-private-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/FedoraQt/QGnomePlatform
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qgnomeplatform.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qgnomeplatform
