=== debian/changelog ===
qgnomeplatform (0.9.1-1build1) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 23:53:21 +0300

qgnomeplatform (0.9.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1032838)
  * Add new B-Ds in d/control

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Mon, 12 Jun 2023 23:52:07 +0200
