=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
                pkg-config,
                qtbase5-private-dev (>= 5.15.2~),
                qtwayland5-private-dev (>= 5.15.2~),
+               qtquickcontrols2-5-dev,
+               qtdeclarative5-dev (>= 5.15.8~),
 Standards-Version: 4.6.2
 Homepage: https://github.com/FedoraQt/QGnomePlatform
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qgnomeplatform.git
