## qgnomeplatform 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.0)
 
-set(QGNOMEPLATFORM_VERSION "0.9.1")
+set(QGNOMEPLATFORM_VERSION "0.9.2")
 
 option(USE_QT6 "Use Qt6 instead of Qt5" OFF)
