=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@



override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
	dh_auto_configure --builddir=qt6-build -- -DUSE_QT6=true -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddir=qt6-build

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddir=qt6-build
