=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/QGnomePlatform-$1\.tar\.gz/ \
  https://github.com/FedoraQt/QGnomePlatform/tags .*/v?(\d\S+)\.tar\.gz
